Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 7108 - X dies with segfault
Summary: X dies with segfault
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: XFree86
Version: 6.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Preston Brown
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-11-18 18:05 UTC by Dave Booth
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-01-14 16:54:52 UTC


Attachments (Terms of Use)

Description Dave Booth 1999-11-18 18:05:18 UTC
I'm seeing a lot of X crashes on two systems where I'm using rh6.1 - both
of them clean installs.

Configuration 1: Cyrix 686 box, matrox millennium II card, SVGA X server.
Configuration 2: Compaq deskpro, built-in S3 graphics, S3 x server.

In all cases the only error message is that the server caught a SIGSEGV.

no apparent correlation to a specific task, crashes appear to be sporadic
and unrelated to which apps are open, length of session etc.

most commonly used X environment on both machines is GNOME/Enlightenment,
updating to latest versions of either or both does not cure the problem.
Switching window managers does not cure the problem - I therefore conclude
problem is in X rather than an environment-specific thing.

Comment 1 Preston Brown 2000-01-14 16:54:59 UTC
without more specifics, we don't have a real starting place on this bug,
unfortunately. You may for instance have flakey hardware, or there may be any
number of programs crashing the X server, or the server itself may be buggy.

If you can isolate the problem, please reopen the bug with more details.


Note You need to log in before you can comment on or make changes to this bug.